#!/usr/local/bin/ruby
# coding: utf-8


if ARGV.size == 0
    print "usage: decrypt_simple_subsr.rb keyfile < plaintxt\n"
    exit
end

encrypt_key = []
open(ARGV[0]) do |f|
    line = f.gets.strip.downcase
    line = line.gsub(/\s/, '')
    encrypt_key = line.split(//)
end

p encrypt_key.size
if encrypt_key.size != 26
    print "size of encrypt key table != 26\n"
    exit
end


plain = ("a" .. "z").to_a
STDIN.each do |line|
    cypher = line.downcase.split(//)
    cypher.each do |p|
        if p.match(/[a-z]/)
            print plain[encrypt_key.index(p)]
        else
            print p
        end
    end
end
