#!/usr/local/bin/ruby
# coding: utf-8




# 標準入力に対する一致反復率






text = ""
STDIN.each do |input_line|
    input_line.upcase!
    input_line.chop!
    text += input_line
end

# 記号や数字があるとアルファベットの出現頻度が変わって厄介なので
# A-Z以外の文字を捨てる
text.gsub!(/[^A-Z]/, "")



freq = Hash.new
("A".."Z").each do |charactor|
    freq[charactor] = text.scan(charactor).size
end



index_coincidence = 0.0
("A".."Z").each do |charactor|
    index_coincidence += (freq[charactor].to_f / text.length) *
                         ((freq[charactor].to_f - 1) / (text.length - 1))
end

print "text length (alphabet only) = #{text.length}\n"
print "index of coincidence = #{index_coincidence}\n"
