#!/usr/local/bin/ruby
# coding: utf-8

# ヴィジュネル暗号


plain_str = "abcdefghijklmnopqrstuvwxyz"
plain = plain_str.split(//)
line_str = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
line = line_str.split(//)



vigenere_table = Hash.new
("A".."Z").each do |key|
    vigenere_table[key] = Hash[*plain.zip(line).flatten]
    
    line.push(line.shift)
end
# vingenere_table[key_charactor][plain_charactor]でアクセスできる

#p vigenere_table

if ARGV.size == 0
    print "usage: vigener.rb keystring < plaintxt\n"
    exit
end


encrypt_key_str = ARGV[0]
encrypt_key = encrypt_key_str.upcase.split(//)

key_pos = 0
STDIN.each do |input_line|
    input_line.downcase.split(//).each do |p|
        if p.match(/[a-z]/)
            print vigenere_table[encrypt_key[key_pos]][p]
        else
            print p
            next
        end
        key_pos = (key_pos + 1) % encrypt_key.length
    end
end


