#!/usr/local/bin/ruby
# coding: utf-8


if ARGV.size == 0
    print "usage: encrypt_simple_subsr.rb keyfile < plaintxt\n"
    exit
end

encrypt_key = []
open(ARGV[0]) do |f|
    line = f.gets.strip.upcase
    line = line.gsub(/\s/, '')
    p line
    encrypt_key = line.split(//)
end

p encrypt_key.size
if encrypt_key.size != 26
    print "size of encrypt key table != 26\n"
    exit
end


cypher = ("A" .. "Z").to_a
STDIN.each do |line|
    plain = line.upcase.split(//)
    plain.each do |p|
        if p.match(/[A-Z]/)
            print encrypt_key[cypher.index(p)]
        else
            print p
        end
    end
end
