#!/usr/local/bin/ruby
# coding: utf-8

# 単一換字暗号の換字表を生成する

plain = ("a" .. "z").to_a
cypher = ("A" .. "Z").to_a

cypher.shuffle!


pretty_print = false
if ARGV[0] == "-pretty"
    pretty_print = true
end

if pretty_print
    print "# for encrypt\n"
    plain.each do |a|
        print "#{a} "
    end
    print "\n"
end
cypher.each do |a|
    print "#{a} "
end
print "\n"


if pretty_print
    print "# for decrypt\n"
    cypher.sort.each do |a|
        print "#{a} "
    end
    print "\n"
    
    (plain.sort_by {|x| cypher[plain.index(x)]}).each do |a|
        print "#{a} "
    end
    print "\n"
end

